Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-11516

Android emulator plugin doesn't work with Android 4.0

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Fixed
    • None
    • Jenkins ver. 1.436
      Android Emulator Plugin 1.18

    Description

      The Android Emulator Plugin doesn't work with the latest version of Android.

      Reproducible with the following emulator configuration:
      Android OS version: Android-14
      Density: 160
      Resolution: HVGA

      The following error is showing in the log:

       
      Started by upstream project "BlockCrusher-Monkey" build number 12
      [android] Using Android SDK: /opt/android-sdk-linux/
      [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_160_HVGA_android-14.avd
      	Error: This platform has more than one ABI. Please specify one using --abi.
      	
      [android] Could not create Android emulator: Failed to run AVD creation command
      Finished: NOT_BUILT
      

      I downloaded all available packages into the Android SDK.

      Attachments

        Activity

          peerke Peter Fortuin created issue -
          orrc Christopher Orr made changes -
          Field Original Value New Value
          Resolution Fixed [ 1 ]
          Status Open [ 1 ] Closed [ 6 ]
          rtyler R. Tyler Croy made changes -
          Workflow JNJira [ 141743 ] JNJira + In-Review [ 205428 ]

          People

            orrc Christopher Orr
            peerke Peter Fortuin
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: